﻿<Window x:Class="POSDesktop.Views.Dashboard"
        xmlns="http://schemas.microsoft.com/winfx/2006/xaml/presentation"
        xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml"
        xmlns:d="http://schemas.microsoft.com/expression/blend/2008"
        xmlns:mc="http://schemas.openxmlformats.org/markup-compatibility/2006"
        xmlns:local="clr-namespace:POSDesktop.Views"
        mc:Ignorable="d"
        xmlns:lvc="clr-namespace:LiveCharts.Wpf;assembly=LiveCharts.Wpf"
        Title="Dashboard" Height="700" Width="1100" Top="0">
    <StackPanel Margin="20" >
        <TextBox x:Name="hidToken" Visibility="Hidden" />

        
        <Border>

            <Grid>
                <Grid.ColumnDefinitions>
                    <ColumnDefinition Width=".5*" />
                    <ColumnDefinition Width=".5*" />
                    <ColumnDefinition Width=".5*" />
                    <ColumnDefinition Width=".5*" />
                </Grid.ColumnDefinitions>

                <Label Grid.Column="2" x:Name="L_User_Name"  BorderThickness="2" FontWeight="Bold" FontSize="15" BorderBrush="#446191" Margin="00 0 0 0" Background="#c0d2f0" Height="30"  Padding="3" HorizontalContentAlignment="Center" >
                    <Label.Resources>
                        <Style TargetType="{x:Type Border}">
                            <Setter Property="CornerRadius" Value="5" />
                        </Style>
                    </Label.Resources>
                </Label>

                <Button Grid.Column="3"  Click="button_logout_click"   Margin="5 0" BorderBrush="Tomato">Log out</Button>
            </Grid>

        </Border>

        <Border CornerRadius="5" BorderBrush="CadetBlue" BorderThickness="1" Background="OldLace" Padding="0 0 0 7" Margin="10"  >
            <Grid Margin="0 10 650 0">

                <Grid.ColumnDefinitions>
                    <ColumnDefinition Width="*" />
                    <ColumnDefinition Width="*" />
                    <ColumnDefinition Width="*" />
                    <ColumnDefinition Width="*" />
                    <ColumnDefinition Width="*" />
                </Grid.ColumnDefinitions>
                <Grid.RowDefinitions>
                    <RowDefinition Height="*" />
                </Grid.RowDefinitions>

                <Button Grid.Column="0" Click="button_brandEntry_click" Content="Brand" Margin="5 0" BorderBrush="Tomato" >

                    <Button.Resources>
                        <Style TargetType="{x:Type Border}">
                            <Setter Property="CornerRadius" Value="7" />
                        </Style>
                    </Button.Resources>
                </Button>

                <Button Grid.Column="1" Content="Category" Click="button_CategoryEntry_click" Margin="5 0" BorderBrush="Tomato" Height="30" >
                    <Button.Resources>
                        <Style TargetType="{x:Type Border}">
                            <Setter Property="CornerRadius" Value="7" />
                        </Style>
                    </Button.Resources>
                </Button>

                <Button Grid.Column="2" Content="Sub Category" Click="button_SubCategoryEntry_click" Margin="5 0" BorderBrush="Tomato" Height="30" >
                    <Button.Resources>
                        <Style TargetType="{x:Type Border}">
                            <Setter Property="CornerRadius" Value="7" />
                        </Style>
                    </Button.Resources>
                </Button>

                <Button Grid.Column="03" Content="Item Entry" Click="button_ItemEntry_click" Margin="5 0" BorderBrush="Tomato" Height="30" >
                    <Button.Resources>
                        <Style TargetType="{x:Type Border}">
                            <Setter Property="CornerRadius" Value="7" />
                        </Style>
                    </Button.Resources>
                </Button>

                <Button Grid.Column="04" Content="Sale Product" Click="button_Product_Sale_click" Margin="5 0" BorderBrush="Tomato" Height="30" >
                    <Button.Resources>
                        <Style TargetType="{x:Type Border}">
                            <Setter Property="CornerRadius" Value="7" />
                        </Style>
                    </Button.Resources>
                </Button>

            </Grid>
        </Border>

        <!--<Border CornerRadius="5" BorderBrush="CadetBlue" BorderThickness="1" Margin="10" Height="200">
            <Grid>
                <Grid.ColumnDefinitions>
                    <ColumnDefinition Width="*" />
                    --><!--<ColumnDefinition Width="*" />--><!--
                </Grid.ColumnDefinitions>

                <lvc:CartesianChart Series="{Binding SeriesCollection}" />
            </Grid>
        </Border>-->

        <Border  CornerRadius="5" BorderBrush="CadetBlue" BorderThickness="1" Margin="10">
            <Frame x:Name="POSFrame" NavigationUIVisibility="Hidden" Background="#ebd5d3" Margin="0 5" />
        </Border>

    </StackPanel>

</Window>